
QGIS Application - Bug report #16129

Processing : execute sql alg does not work with input2 ... inputN parameters

2017-01-29 12:19 PM - jd lom

Status: Open

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24041

Description

In ExecuteSQL.py, the layerIdx variable is not incremented.

Best regards,

Related issues:

Duplicated by QGIS Application - Bug report # 20667: 'execute sql' as part of... Closed 2018-11-29

History

#1 - 2017-01-30 12:16 PM - jd lom

- % Done changed from 0 to 100

- Status changed from Open to Closed

- Target version changed from Version 2.18 to Version 3.0

Fix in PR :

https://github.com/qgis/QGIS/pull/4079/commits/b91b421d036032c5c4b18b734632c19e1df504f4

#2 - 2018-11-08 03:49 PM - Pieter Brusselman

Hi,

I would like to re-open this issue.  According to this question https://gis.stackexchange.com/questions/280080/execute-sql-in-qgis-graphical-modeler I tried

the last version of QGIS (3.4.1) and the same problem still occure.

Best regards,

#3 - 2018-11-08 05:08 PM - Giovanni Manghi

- Description updated

Pieter Brusselman wrote:

Hi,

I would like to re-open this issue.  According to this question 

https://gis.stackexchange.com/questions/280080/execute-sql-in-qgis-graphical-modeler I tried the last version of QGIS (3.4.1) and the same problem

still occure.
Best regards,

sure you are using the latest version of Processing? give it a try by using a new/clean profile, thanks.

#4 - 2018-11-12 11:19 AM - Pieter Brusselman

I did a clean install.  But the problem still persists.

using following query as last step in a model:

select * from input2 where ws_oidn in

(select ws_oidn from input1)

I get this error:

Traceback (most recent call last):

File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\processing\algs\qgis\ExecuteSQL.py", line 157, in processAlgorithm

raise QgsProcessingException(vLayer.dataProvider().error().message())

_core.QgsProcessingException: <p><b>virtual:</b> Cannot find layer output_195dc533_45e8_46ac_a3fd_b5a545eae3f9

Error encountered while running Execute SQL

Error encountered while running Execute SQL

Execution failed after 1.47 seconds

#5 - 2018-11-12 01:29 PM - Giovanni Manghi

Pieter Brusselman wrote:

I did a clean install.

clean profile: settings > user profiles > new profile

#6 - 2018-11-13 09:35 AM - Pieter Brusselman

Giovanni Manghi wrote:

Pieter Brusselman wrote:

I did a clean install.

clean profile: settings > user profiles > new profile

I created a new profile like you suggested, but I get the same error

#7 - 2018-11-29 12:24 PM - Jürgen Fischer

- Duplicated by Bug report #20667: 'execute sql' as part of a model does not recognize the input of a previous algorithm added

2024-03-13 2/3



#8 - 2018-11-29 12:24 PM - Jürgen Fischer

- Status changed from Closed to Reopened

- Assignee deleted (Hugo Mercier)

- Resolution deleted (fixed/implemented)

#9 - 2018-11-29 07:36 PM - roland gutzinger

I've got the same problem under linux as well as under windows. In 3.4 and 3.5.

#10 - 2018-11-30 08:44 AM - Giovanni Manghi

- Affected QGIS version changed from master to 3.5(master)

- Status changed from Reopened to Open

- Operating System deleted (All)
